<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://java.sun.com/jsf/facelets">

<h:head>
</h:head>

<h:body style="margin-left:50px">
    <p:dialog header="Definiowanie załączników" widgetVar="dlg" closable="false">
        <h:form>
            <p:pickList value="#{pickListBean.listModel}"
                        var="attach" iconOnly="true" effect="highlight"
                        itemLabel="#{attach.name} (#{attach.order})"
                        itemValue="#{attach}"
                        converter="attachConverter"
                        showTargetControls="true"
                        label="Załączniki do Pozew Papier">
                <f:facet name="sourceCaption"> Dostępne</f:facet>
                <f:facet name="targetCaption"> Wybrane</f:facet>
            </p:pickList>
            <p:commandButton value="Zatwierdz"
                             update="accp1:zal"
                             onclick="PF('dlg').hide()"/>
        </h:form>
    </p:dialog>
    <div class="def1">
        <p:accordionPanel id="accp1">
            <p:tab title="Definiowanie działania Pozew Papier">
                <div class="def">
                    <p:panel header="Załączniki do Pozew Papier" footer="Załączniki">
                        <h:panelGroup rendered="#{features['FEATURE_ONE']}">
                            <h2>Wajcha właczona = FEATURE_ONE</h2>
                        </h:panelGroup>
                        <h:panelGrid id="zal" columns="1" >
                            <p:outputLabel  value="Lista załaczników:" />
                            <ui:repeat value="#{pickListBean.listModel.target}" var="attach">
                                <h:outputText value="#{attach.id}. #{attach.name}, " />
                            </ui:repeat>
                            <p:commandButton value="Definicja" type="button" onclick="PF('dlg').show()"/>
                        </h:panelGrid>
                    </p:panel>
                </div>
            </p:tab>
            <p:tab title="Second Tab Title">
                <h:outputText value="Ipsum"/>
            </p:tab>
            //any number of tabs
        </p:accordionPanel>
    </div>
</h:body>
</html>